Queue a palm reading
curl --request POST \
--url https://api.astrom8.com/api/v3/visual-readings/palm/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"left_upload_id": "<string>",
"right_upload_id": "<string>",
"capture_handedness": {
"left_upload": "<unknown>",
"right_upload": "<unknown>",
"mirrored_preview": true
},
"sku": "json",
"locale": "en",
"subject_label": "<string>",
"brand_profile_id": "<string>"
}
'import requests
url = "https://api.astrom8.com/api/v3/visual-readings/palm/jobs"
payload = {
"left_upload_id": "<string>",
"right_upload_id": "<string>",
"capture_handedness": {
"left_upload": "<unknown>",
"right_upload": "<unknown>",
"mirrored_preview": True
},
"sku": "json",
"locale": "en",
"subject_label": "<string>",
"brand_profile_id": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
left_upload_id: '<string>',
right_upload_id: '<string>',
capture_handedness: {left_upload: '<unknown>', right_upload: '<unknown>', mirrored_preview: true},
sku: 'json',
locale: 'en',
subject_label: '<string>',
brand_profile_id: '<string>'
})
};
fetch('https://api.astrom8.com/api/v3/visual-readings/palm/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"status": "<unknown>",
"credits_charged": 123,
"credits_remaining": 123,
"unlimited_credits": true,
"replayed": true,
"poll": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}Visual readings
Queue a palm reading
POST
/
api
/
v3
/
visual-readings
/
palm
/
jobs
Queue a palm reading
Authorizations
Use the raw API key as the Bearer token, or send X-API-Key instead.
Headers
Required string length:
1 - 128Body
application/json
Completed left-palm upload id.
Pattern:
^vup_[a-f0-9]{24}$Completed right-palm upload id.
Pattern:
^vup_[a-f0-9]{24}$Available options:
left, right Show child attributes
Show child attributes
Available options:
json, branded, premium Available options:
th, en Maximum string length:
120Optional reusable brand profile.
Pattern:
^brand_[a-f0-9]{24}$⌘I